#include "ListChannelsService.hpp"
#include <iostream>
#include "../requests/ListChannelsRequest.hpp"
#include "../responses/ListChannelsResponse.hpp"

using namespace mole;
using namespace serv;

ListChannelsService::ListChannelsService(mole::ctx::Request * r):Service(r){
    setResponse(new ListChannelsResponse());
}

ListChannelsService::ListChannelsService(){}

ListChannelsService::~ListChannelsService(){}

bool
ListChannelsService::init(){
    return true;
}

Service *
ListChannelsService::newInvocableService(mole::ctx::Request * r){
    return new ListChannelsService(r);
}
